<div fxLayout="column" fxLayoutAlign="space-between none" style="height: 100%;">
    <div fxLayout="row" fxLayoutAlign="center none">

        <mat-card fxFlex="98">
            <mat-card-header fxLayout="column">
                <mat-card-title>Usuarios</mat-card-title>
                <mat-card-subtitle fxLayout="row" fxLayoutAlign="end center">
                </mat-card-subtitle>
            </mat-card-header>
            <mat-card-content>
                <mat-table [dataSource]="dataSource" matSort>

                    <!-- name Definition -->
                    <ng-container matColumnDef="name">
                        <mat-header-cell *matHeaderCellDef mat-sort-header> Name </mat-header-cell>
                        <mat-cell *matCellDef="let row"> {{row.name}} </mat-cell>
                    </ng-container>

                    <!-- username Definition -->
                    <ng-container matColumnDef="username">
                        <mat-header-cell *matHeaderCellDef mat-sort-header> User Name </mat-header-cell>
                        <mat-cell *matCellDef="let row"> {{row.username}} </mat-cell>
                    </ng-container>

                    <!-- phone Definition -->
                    <ng-container matColumnDef="phone">
                        <mat-header-cell *matHeaderCellDef mat-sort-header> Phone </mat-header-cell>
                        <mat-cell *matCellDef="let row"> {{row.phone}} </mat-cell>
                    </ng-container>

                    <!-- Header and Row Declarations -->
                    <mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></mat-header-row>
                    <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>

                </mat-table>
                <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
            </mat-card-content>
        </mat-card>
    </div>
</div>